/**
 *  Learnville Street Room
 *  @author Drakkos
 *  @started 08/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/outside";

void setup() {
  set_short ("northwest corner of the marketplace");
  add_property ("determinate", "the ");
   
  set_long ("This is a skeleton room.\n");

  set_light (100);
  
  add_zone ("learnville");
  
  add_exit ("north", ROOMS + "mysterious_room", "door");
  add_exit ("south", ROOMS + "market_southwest", "path");
  add_exit ("east", ROOMS + "market_northeast", "path");
  add_exit ("southeast", ROOMS + "market_southeast", "path");

  modify_exit ("southeast", ({"obvious", 0}));

  modify_exit ("north", 
    ({
      "door long", "The door hints at mystery within.  Riches too, most "
        "likely.\n",
      "locked", 1,
      "autolock", 1,    
      "difficulty", 4,
      "enter mess", "$N mysteriously enter$s the room.  How mysterious!",
      "exit mess", "$N exit$s through the mysterious door.  What wonders "
        "must be found within?",
      "move mess", "You walk through the door, excited by the "
        "possibilities within!\n",        
      "key", "Mysterious Room Key",
    })
  );

  set_linker ( ({ 
    ROOMS + "market_northeast",
    ROOMS + "market_southwest",
    ROOMS + "market_southeast",
  }) );

}

void reset() {
    ::reset();

    call_out ("after_reset", 3);
}    
     
void after_reset() {
   object beefy;

 
   beefy = load_object (CHARS + "captain_beefy");


   if (beefy && environment (beefy) != this_object()) {
        beefy->move (this_object(), "$N appear$s with a pop.", 
            "$N disappear$s with a pop.");
    }
}  